[Eclipse][Java] Installer le support SVN dans Eclipse Ganymede

Avec la version Ganymede, Eclipse intègre d’office Subversive, un plugin permettant de manipuler un repository SVN.

Dans ce billet, je vais montrer comment l’installer.

[Suite:]

Un petit détail avant de commencer : Subversive est divisé en deux modules (grossomodo) :

  • SVN Team Provider : intégration dans Eclipse
  • SVN Connector : manipulation du repository SVN

Le premier module est un projet interne Eclipse, mais la seconde partie ne l’est pas.
Il faut donc ajouter les deux update-site suivants dans p2 (nouveau gestionnaire de plugins d’Eclipse) :

=> http://download.eclipse.org/technology/subversive/0.7/update-site/
=> http://www.polarion.org/projects/subversive/download/eclipse/2.0/ganymede-site/
=> http://community.polarion.com/projects/subversive/download/eclipse/2.0/update-site/

Dans Eclipse, cliquez sur le menu [ Help > Software Updates ].
Dans la fenêtre qui s’affiche, activez l’onglet “Available Software” et cliquez sur le bouton “Add Site” pour ajouter l’update-site des connecteurs SVN.

Add update Site

Validez.
Toujours dans l’onglet “Available Software“, saisissez “svn” dans la zone de recherche et sélectionnez :

  • SVN Team Provider
  • SVN Kit (ou autre implémentation)

Sélectionnez les plugins SVN

Cliquez enfin sur “Install“.

Après redémarrage d’Eclipse, Subversive devrait être fonctionnel.

—-

Advertisements

Leave a Reply

Please log in using one of these methods to post your comment:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: